import request from '@/utils/request'

export function listtask(params) {
  return request({
    url: '/api/admin/task/index',
    method: 'get',
    params:params
  })
}

export function store(data) {
  return request({
    url: '/api/admin/task/store',
    method: 'post',
    data
  })
}

export function save(data) {
  return request({
    url: '/api/admin/task/save',
    method: 'post',
    data
  })
}


export function delDep(id) {
  return request({
    url: '/api/admin/task/task-department-destroy',
    method: 'get',
    params: {
      id
    }
  })
}
export function del(safety_task_id) {
  return request({
    url: '/api/admin/task/destroy',
    method: 'get',
    params: {
      safety_task_id
    }
  })
}

export function getdaily(safety_task_id) {
  return request({
    url: '/api/admin/task/show',
    method: 'get',
    params: {
      safety_task_id
    }
  })
}
